<?php
namespace PortalPeopleStatis\modules\SatisfyManager\forms;

use Yiisoft\FormModel\FormModel;
use Yiisoft\Validator\Rule\Required;
use Yiisoft\Validator\Rule\Url;

class PackageForm extends FormModel
{
    /**
     * @var string
     * @Required()
     */
    private string $name = '';

    /**
     * @var string
     * @Required()
     */
    private string $version = '';

    /**
     * @var string
     * @Required()
     * @Url()
     */
    private string $repoUrl = '';

    public function getName(): string
    {
        return $this->name;
    }
    public function setName(string $name): void
    {
        $this->name = $name;
    }
    public function getVersion(): string
    {
        return $this->version;
    }
    public function setVersion(string $version): void
    {
        $this->version = $version;
    }
    public function getRepoUrl(): string
    {
        return $this->repoUrl;
    }
    public function setRepoUrl(string $repoUrl): void
    {
        $this->repoUrl = $repoUrl;
    }
}
